##############################################################################
#
# Copyright (c) 2007 Lovely Systems and Contributors.
# All Rights Reserved.
#
# This software is subject to the provisions of the Zope Public License,
# Version 2.1 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE.
#
##############################################################################
"""
$Id: interfaces.py 76474 2007-06-07 19:06:01Z batlogg $
"""
__docformat__ = 'restructuredtext'

from zope import interface
from zope import schema
from zope.contentprovider.interfaces import IContentProvider

class IIncludeableView(IContentProvider):

    """marker interface for views that can be rendered as includes. It
    needs to be a contentprovider because we listen on
    BeforeUpdteEvent."""

